Page MenuHomePhabricator

update texts for hastemplate form fields
Closed, ResolvedPublic1 Story Points

Description

  • adapt infotext for hastemplate

TEXT FOR COPYING:

Pages with these templates:
Description: Searches for pages that contain exactly these templates.
Be aware of the following:

  • You can find transcluded templates (templates consisting of other templates).
  • The autosuggest function can only find templates which start the same way as your search e.g. a search for "com..." will suggest "commons" but not "nowcommons".

Help page: hastemplate
Syntax-equivalent in the normal search: Words in quotation marks with hastemplate: before them like `hastemplate:"missing information".
`

  • change labels to newest version

Details

Related Gerrit Patches:
mediawiki/extensions/AdvancedSearch : masterFix infobox text

Event Timeline

Restricted Application added projects: TCB-Team, Design. · View Herald TranscriptFeb 19 2018, 2:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
This comment was removed by Charlie_WMDE.
Charlie_WMDE renamed this task from rework hastemplate functionality and infotext to rework infotexts anf labels.Feb 20 2018, 12:18 PM
Charlie_WMDE updated the task description. (Show Details)
Charlie_WMDE renamed this task from rework infotexts anf labels to rework infotexts and labels.Feb 20 2018, 12:35 PM
Charlie_WMDE updated the task description. (Show Details)
Charlie_WMDE renamed this task from rework infotexts and labels to rework infotexts, default selection and labels.Feb 20 2018, 1:34 PM
Charlie_WMDE updated the task description. (Show Details)

@Lea_WMDE this is done from my side

Lea_WMDE renamed this task from rework infotexts, default selection and labels to update texts.Feb 21 2018, 7:57 AM
Lea_WMDE triaged this task as Medium priority.
Lea_WMDE updated the task description. (Show Details)
Tonina_Zhelyazkova_WMDE set the point value for this task to 1.Feb 21 2018, 1:42 PM

@Charlie_WMDE could you add a mastermock that does not have the text cut off? And should all field labels have ":" at the end?
Similarly, this ticket has "Syntax-Equivalent" but all deployed infotexts say "syntax-equivalent". Should this be changed here, too?

@Lea_WMDE I'm sorry about the cut off parts. This is still something that happens in draw.io and I have not figured out how to solve this yet. I have already blocked some time next week to transfer the current mocks to figma, which is the new mocking software we use. After that those remnants should be gone. Until then I hope you can work with the ones we have.

Just to clarify: Each of the labels has a colon behind it.
Syntax-equivalent: the mock is correct, the text for copying was not. I changed it.

Charlie_WMDE updated the task description. (Show Details)Feb 22 2018, 4:07 PM
Charlie_WMDE updated the task description. (Show Details)Feb 22 2018, 5:21 PM
Lea_WMDE renamed this task from update texts to update texts for hastemplate form fields.Mar 14 2018, 9:21 AM

@Charlie_WMDE In this mock, the part with "Help page: hastemplate" has the link word not capitalized. Is this intentional, because on master it's "Help page: Hastemplate"?
We have other Help page text that is capitalized: "Full text search", "Words, phrases, and modifiers", "Intitle and incategory", "Inlanguage" and the rest is lowercase.
#nitpicking

Change 428307 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/AdvancedSearch@master] Update hastemplate infobox content

https://gerrit.wikimedia.org/r/428307

@Tonina_Zhelyazkova_WMDE you're absolutely right. Consistent capitalization is definitely my weakness.

The should all be capitalized I'd say.

I'm sorry that I didn't see it earlier myself. I know it's super annoying to make little text changes later on. Do you need me to make an extra ticket for the other ones?

@Charlie_WMDE no, that's ok, I'll link the change into this ticket.
Just to make it clear - all "Help page" links in the infoboxes should start with an uppercase letter, right?

@Tonina_Zhelyazkova_WMDE yes, that would be great! thank you :)

The heading of the info-text as well as the label of the inputs still shows singular "Only pages with this template", "Page in this category:", "Only pages with this template".

I think they should be plural as they are in the mokups in this ticket.

Change 429771 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/AdvancedSearch@master] Fix infobox text

https://gerrit.wikimedia.org/r/429771

Change 429771 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Fix infobox text

https://gerrit.wikimedia.org/r/429771

Lea_WMDE closed this task as Resolved.May 30 2018, 10:33 AM